Subject: Re: [PATCH] [1/2many] - FInd the maintainer(s) for a patch - scripts/get_maintainer.pl

From: Rene Herman <[email-masked]>
Date: Tue, 14 Aug 2007 20:33:02 +0200

On 08/14/2007 08:28 PM, Joe Perches wrote:

> On Tue, 2007-08-14 at 20:03 +0200, Rene Herman wrote:
>> "git info --maintainer drivers/ide/ide-cd.c" or some such would say "Alan 
>> Cox <alan@...>".
> 
> Perhaps maintainer(s), approver(s), listener(s)?
> 
> I think something like this should be a git-goal.
> What do the git-wranglers think?

I agree. If this thing has source management, let's use it.

> Until a time in the future when a system like that exists,
> I suggest keeping MAINTAINERS up-to-date with
> 
> F:	pattern
> 
> It'll be useful as git-set-maintainer seeds at least.

Yes. Seeing as how it's already been useful in updating the information it 
would be a shame to throw what you already did away. Don't underestimate how 
fast git-wranglers can implement stuff if they agree though... :-)

>> sticking  headers on every source file isn't nice anyway --
>> it's meta-information and the SCM can maintain it.
> 
> It's like looking at $CVS$ keywords.  Unsightly.

Again agree.

Rene.